Flowion Docs

EVSEs & Connectors

A charging station's EVSEs and connectors as reported by ingestion — read-only except for a circuit assignment, no direct creation endpoint.

3 endpoints

Lists a charging_station's EVSEs, unpaginated (a 1.6 charging_station has exactly one).

get/v1/charging-stations/{charging_station_id}/evsesRequires a bearer token

Parameters

NameInTypeDescription
charging_station_id*pathstring<uuid>ChargingStation id

Responses

StatusBodyDescription
200ListEvsesResponseThe charging_station's EVSEs
401ErrorBodyMissing, invalid, or expired bearer token
404ErrorBodyNo charging_station with this id exists, or the caller cannot access it

Attaches (or detaches) the circuit feeding this EVSE. Requires the caller to be an Owner or Admin.

patch/v1/charging-stations/{charging_station_id}/evses/{evse_id}/circuitRequires a bearer token

Parameters

NameInTypeDescription
charging_station_id*pathstring<uuid>ChargingStation id
evse_id*pathstring<uuid>EVSE id

Request bodySetEvseCircuitRequest

FieldTypeDescription
circuit_idstring | null<uuid>

Responses

StatusBodyDescription
200EvseSummaryThe updated EVSE
401ErrorBodyMissing, invalid, or expired bearer token
403ErrorBodyThe caller is a member but not an Owner or Admin
404ErrorBodyNo charging_station with this id exists, the caller cannot access it, no EVSE with this id exists on it, or circuit_id does not exist

Lists an EVSE's connectors, unpaginated.

get/v1/evses/{evse_id}/connectorsRequires a bearer token

Parameters

NameInTypeDescription
evse_id*pathstring<uuid>EVSE id

Responses

StatusBodyDescription
200ListConnectorsResponseThe EVSE's connectors
401ErrorBodyMissing, invalid, or expired bearer token
404ErrorBodyNo EVSE with this id exists, or you cannot access its environment